/*************Start-General************/

/**Root**/
:root {
  --Primary-600: #437ef7;
  --Primary-900: #2b63d9;
  --Primary-200: #b1ccfb;
  --white-color: #ffffff;
  --black-color: #000000;
  --Neutral-100: #f8f9fb;
  --Neutral-600: #eaebf0;
  --Neutral-800: #a5acba;
  --Gray-50: #5f6d7e;
  --Gray-600: #2c3444;
  --Gray-700: #272d37;
  --Gray-950: #151b28;
  --danger-color: #a30000;
}
/**Fonts-Family**/
@font-face {
  font-family: "Inter";
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/Inter/Inter-Light.ttf") format("truetype");
}
@font-face {
  font-family: "Inter-meduim";
  font-style: normal;
  font-weight: 500;
  src: url("../fonts/Inter/Inter-Medium.ttf") format("truetype");
}
@font-face {
  font-family: "Inter-semi-bold";
  font-style: normal;
  font-weight: 600;
  src: url("../fonts/Inter/Inter-SemiBold.ttf") format("truetype");
}
@font-face {
  font-family: "Inter-bold";
  font-style: normal;
  font-weight: 700;
  src: url("../fonts/Inter/Inter-Bold.ttf") format("truetype");
}
*,
*:before,
*:after {
  box-sizing: border-box;
}
body {
  font-family: "Inter";
  font-size: 14px;
  margin: 0;
  background-color: var(--white-color);
  scroll-behavior: smooth;
}
h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
}
input,
button {
  outline: none;
  border: none;
}
ul {
  list-style: none;
}

button {
  background: transparent;
  cursor: pointer;
}
a {
  text-decoration: none;
}
.container {
  padding: 5em;
}
.center {
  text-align: center;
}
.mobile-view{
  display: none;
}
/**Validation**/
.error input {
  border: 1px solid var(--danger-color);
}
.error-message {
  position: absolute;
  right: 20%;
  top: 15px;
  color: var(--danger-color);
}
/**Flex**/
.flex-column {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.flex-center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.flex-start {
  display: flex;
  justify-content: center;
  align-items: start;
}
/*************End-General************/

/*************Start-Header************/
.main-header {
  background-color: var(--Neutral-100);
}
.main-header .desc {
  color: var(--Primary-600);
  font-size: 14px;
  font-family: "Inter-semi-bold";
  line-height: 20px;
  margin-bottom: 16px;
  display: block;
}
.main-header .title span {
  color: var(--Gray-700);
  font-size: 52px;
  font-family: "Inter-bold";
  line-height: 60px;
  letter-spacing: -0.01em;
  display: block;
}
/*************End-Header************/

/*************Start-Blog-Posts************/
.blog-post .cards-wrapper {
  display: flex;
}
.blog-post .cards-wrapper .left,
.blog-post .cards-wrapper .right {
  flex: 1;
}

.blog-post .cards-wrapper .left .thumbnail {
  height: 285px;
  margin-bottom: 16px;
}
.blog-post .cards-wrapper .right .card {
  margin: 0 0 32px 40px;
}
.blog-post .cards-wrapper .right .thumbnail {
  height: 118px;
  margin-right: 24px;
  flex: 1;
}
.blog-post .cards-wrapper .right .card-content {
  flex: 2;
}
.blog-post .thumbnail img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}
.blog-post .card-content .title {
  color: var(--Gray-700);
  font-size: 22px;
  font-family: "Inter-semi-bold";
  line-height: 30px;
}
.blog-post .card-content .desc {
  color: var(--Gray-50);
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  margin: 4px 0 16px 0;
}
.blog-post .card-content .date {
  font-family: "Inter-meduim";
  color: var(--Gray-50);
  font-size: 14px;
  line-height: 20px;
}
/*************End-Blog-Posts************/

/*************Start-newsletter************/
.newsletter {
  background-color: var(--Primary-900);
  display: flex;
  align-items: center;
  flex-direction: column;
}
.newsletter .left,
.newsletter .right {
  flex: 1;
}
.newsletter .left h2 {
  color: var(--white-color);
  font-size: 32px;
  font-family: "Inter-semi-bold";
  line-height: 42px;
  letter-spacing: -0.01em;
  text-align: left;
  margin-bottom: 24px;
}

.newsletter .left p {
  color: var(--Primary-200);
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  text-align: left;
}
.newsletter .right {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
  width: 100%;
}
.newsletter .right form {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: 0;
}

.newsletter .right input {
  width: 100%;
  border-radius: 6px;
  padding: 15px 16px;
  margin: 24px 0 10px 0;
  background-color: var(--white-color);
  color: #919ba7;
}
.newsletter .right button {
  background-color: var(--Primary-600);
  color: var(--white-color);
  padding: 12px 18px;
  font-size: 15px;
  font-family: "Inter-semi-bold";
  line-height: 22px;
  border-radius: 6px;
}
.newsletter .right > p {
  color: var(--white-color);
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
  align-self: flex-start;
  padding: 8px 20px;
  display: none;
}

/*************End-newsletter************/

/*************Start-Latest-Blog-Posts************/
.latest-blog-posts h2 {
  color: var(--Gray-700);
  font-size: 32px;
  font-family: "Inter-bold";
  line-height: 40px;
  margin-bottom: 64px;
}
.latest-blog-posts .cards-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.latest-blog-posts .cards-wrapper .card {
  background-color: var(--white-color);
  margin-bottom: 48px;
  flex: 0 1 calc(33% - 1em);
}
.latest-blog-posts .cards-wrapper .thumbnail {
  height: 285px;
  margin-bottom: 16px;
}
.latest-blog-posts .cards-wrapper .thumbnail img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}

.latest-blog-posts .cards-wrapper .card-content .date {
  color: var(--Gray-50);
  font-size: 14px;
  font-family: "Inter-meduim";
  line-height: 20px;
}
.latest-blog-posts .cards-wrapper .card-content .desc {
  color: var(--Gray-700);
  font-size: 22px;
  font-family: "Inter-semi-bold";
  line-height: 30px;
  margin: 8px 0 16px 0;
}
.latest-blog-posts .cards-wrapper .card-content .learn-more {
  color: var(--Primary-600);
  font-size: 15px;
  font-family: "Inter-semi-bold";
  line-height: 22px;
  display: flex;
  align-items: center;
}
.latest-blog-posts .cards-wrapper .card-content .learn-more .right-arrow {
  display: inline-block;
  font-size: 18px;
  margin: 2px 0 0 5px;
}
/*************End-Latest-Blog-Posts************/

/*************Start-Signup************/
.signup {
  background-color: var(--Primary-900);
}
.signup .desc {
  color: var(--white-color);
  font-size: 14px;
  font-family: "Inter-semi-bold";
  line-height: 20px;
  margin-bottom: 8px;
  display: block;
}
.signup .title span {
  color: var(--white-color);
  font-size: 32px;
  font-family: "Inter-semi-bold";
  line-height: 42px;
  display: block;
}
.signup .auth-btn {
  margin-top: 44px;
}
.signup .auth-btn .login-btn,
.signup .auth-btn .signup-btn {
  min-height: 22px;
  min-width: 60px;
  font-size: 15px;
  font-family: "Inter-semi-bold";
  line-height: 22px;
  padding: 12px 18px 12px 18px;
  border-radius: 6px;
}
.signup .auth-btn .login-btn {
  background-color: var(--Primary-600);
  color: var(--white-color);
  margin-left: 16px;
}
.signup .auth-btn .signup-btn {
  background-color: var(--white-color);
  color: var(--Primary-600);
}
/*************End-Signup************/

/*************Start-Tablet-View************/
@media screen and (max-width: 768px) {
  .container {
    padding: 2em 1em;
  }
  .mobile-view{
    display: block;
  }
  /*****Start-Blog-Posts*****/
  .blog-post .cards-wrapper {
    flex-direction: column;
  }

  .blog-post .cards-wrapper .left {
    margin-bottom: 30px;
  }
  .blog-post .cards-wrapper .left .thumbnail {
    height: 285px;
  }
  .blog-post .cards-wrapper .right .card {
    margin: 0 0 30px 0px;
  }
  .blog-post .cards-wrapper .right .thumbnail {
    height: 166px;
  }

  .latest-blog-posts .cards-wrapper .card {
    flex: 0 1 calc(50% - 1em);
  }
}
/*************End-Tablet-View************/

/*************Start-Mobile-View************/
@media screen and (max-width: 500px) {
  /*****Start-Header*****/
  .main-header .title span {
    font-size: 36px;
    font-family: "Inter-semi-bold";
    line-height: 44px;
  }
  /*****Start-Blog-Posts*****/
  .blog-post .cards-wrapper .left .thumbnail {
    height: 185px;
    margin-bottom: 24px;
  }

  .blog-post .cards-wrapper .right .thumbnail {
    height: 185px;
    margin-right: 0;
  }
  .blog-post .cards-wrapper .flex-start {
    flex-direction: column;
  }
  .blog-post .card-content .title {
    font-size: 20px;
  }

  .latest-blog-posts .cards-wrapper .card {
    flex: 0 1 calc(100% - 1em);
  }

  .signup .auth-btn a {
    width: 90%;
  }

  .signup .auth-btn .login-btn {
    margin-left: 0px;
    margin-top: 15px;
  }

  .signup .flex-center {
    flex-direction: column;
  }
}

@media screen and (min-width: 767px) {
  .newsletter,
  .newsletter .right form {
    flex-direction: row;
  }
  .newsletter .right form {
    padding-left: 20px;
    padding-right: 20px;
  }

  .newsletter .right input {
    border-radius: 6px 0 0 6px;
    margin: 0;
  }
  .newsletter .right button {
    border-radius: 0 6px 6px 0;
  }
  .newsletter .right > p {
    display: block;
  }
}
/*************End-Mobile-View************/
